Bug 983606 - pulseaudio: no hardened build
pulseaudio: no hardened build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
: 965463 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 10:34 EDT by Harald Reindl
Modified: 2014-01-23 07:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 07:57:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-07-11 10:34:07 EDT
checksec:
pulseaudio    810 Full RELRO        Canary found           NX enabled    No PIE

If your package meets any of the following criteria you MUST enable the PIE compiler flags:

    Your package is long running. This means it's likely to be started and keep running until the machine is rebooted, not start on demand and quit on idle. 

    Your package has suid binaries, or binaries with capabilities. 

    Your package runs as root. 

If your package meets the following criteria you should consider enabling the PIE compiler flags:

    Your package accepts/processes untrusted input.
Comment 1 Harald Reindl 2013-09-16 06:03:32 EDT
the same in F19
Comment 2 Fedora End Of Life 2013-12-21 09:18:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Harald Reindl 2014-01-10 00:51:23 EST
the same in F20 and such things should *really* not solved somewhere in future (Rawhide) if they are reported for F18, in case of non-broken code this is a simple build flag
Comment 4 Rex Dieter 2014-01-10 09:08:09 EST
Let's give it a try,

%changelog
* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.0-10.gitf81e3
- enable hardned build (#983606)
Comment 5 Harald Reindl 2014-01-11 12:43:15 EST
thank you!

plays music with mpd the whole day long

Jan 02 02:26:41 Updated: alsa-plugins-pulseaudio-1.0.27-2.fc20.x86_64
Jan 02 02:26:59 Updated: kde-settings-pulseaudio-20-12.fc20.noarch
Jan 10 17:00:10 Updated: pulseaudio-libs-4.0-10.gitf81e3.fc20.x86_64
Jan 10 17:00:11 Updated: pulseaudio-4.0-10.gitf81e3.fc20.x86_64
Jan 10 17:00:11 Updated: pulseaudio-utils-4.0-10.gitf81e3.fc20.x86_64
Jan 10 17:00:11 Updated: pulseaudio-module-x11-4.0-10.gitf81e3.fc20.x86_64
Jan 10 17:00:12 Updated: pulseaudio-libs-glib2-4.0-10.gitf81e3.fc20.x86_64

[root@srv-rhsoft:~]$ /usr/bin/hardening-check /usr/bin/pulseaudio
/usr/bin/pulseaudio:
 Position Independent Executable: yes
 Stack protected: yes
 Fortify Source functions: yes
 Read-only relocations: yes
 Immediate binding: yes
Comment 6 Rex Dieter 2014-01-23 07:56:48 EST
*** Bug 965463 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.